## ros-common-msgs 1.12.3

=== common_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(common_msgs)
find_package(catkin REQUIRED)
catkin_metapackage()

=== diagnostic_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(diagnostic_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  DiagnosticArray.msg
  DiagnosticStatus.msg
  KeyValue.msg)

add_service_files(
  DIRECTORY srv
  FILES
  SelfTest.srv)

generate_messages(DEPENDENCIES std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

=== nav_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(nav_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs actionlib_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  GridCells.msg
  MapMetaData.msg
  OccupancyGrid.msg
  Odometry.msg
  Path.msg)

add_service_files(
  DIRECTORY srv
  FILES
  GetMap.srv
  GetPlan.srv
  SetMap.srv)

add_action_files(
  FILES
  GetMap.action)

generate_messages(DEPENDENCIES geometry_msgs std_msgs actionlib_msgs)

catkin_package(CATKIN_DEPENDS geometry_msgs message_runtime std_msgs actionlib_msgs)

=== sensor_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(sensor_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)
# We want boost/format.hpp, which isn't in its own component.
find_package(Boost REQUIRED)

# For point_cloud2.py
catkin_python_setup()

include_directories(include)

add_message_files(
  DIRECTORY msg
  FILES
  CameraInfo.msg
  ChannelFloat32.msg
  CompressedImage.msg
  FluidPressure.msg
  Illuminance.msg
  Image.msg
  Imu.msg
  JointState.msg
  Joy.msg
  JoyFeedback.msg
  JoyFeedbackArray.msg
  LaserEcho.msg
  LaserScan.msg
  MagneticField.msg
  MultiDOFJointState.msg
  MultiEchoLaserScan.msg
  NavSatFix.msg
  NavSatStatus.msg
  PointCloud.msg
  PointCloud2.msg
  PointField.msg
  Range.msg
  RegionOfInterest.msg
  RelativeHumidity.msg
  Temperature.msg
  TimeReference.msg)

add_service_files(
  DIRECTORY srv
  FILES SetCameraInfo.srv)

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(
  INCLUDE_DIRS include
  CATKIN_DEPENDS geometry_msgs message_runtime std_msgs
  DEPENDS Boost)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
  FILES_MATCHING PATTERN "*.h")

if (CATKIN_ENABLE_TESTING)
  add_subdirectory(test)
endif()

=== stereo_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(stereo_msgs)

find_package(catkin REQUIRED COMPONENTS sensor_msgs message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  DisparityImage.msg)

generate_messages(DEPENDENCIES sensor_msgs std_msgs)

catkin_package(CATKIN_DEPENDS message_runtime sensor_msgs std_msgs)

=== sensor_msgs/test/CMakeLists.txt ===
include_directories(${catkin_INCLUDE_DIRS})
catkin_add_gtest(sensor_msgs_test main.cpp)

=== debian/changelog ===
ros-common-msgs (1.12.3-5) unstable; urgency=medium

  * Adopt to new libexec location in catkin

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Tue, 16 Feb 2016 11:04:54 +0100

ros-common-msgs (1.12.3-4) unstable; urgency=medium

  * Add dependencies.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Sun, 10 Jan 2016 13:03:48 +0100

ros-common-msgs (1.12.3-3) unstable; urgency=medium

  * Reupload to unstable.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Thu, 17 Dec 2015 17:09:58 +0100

ros-common-msgs (1.12.3-2) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Add multiarch support
  * Use new ros-messages-* package names

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Mon, 07 Dec 2015 12:41:55 +0000

ros-common-msgs (1.12.3-1) unstable; urgency=medium

  * Initial package. (Closes: #804927)

 -- Leopold Palomo-Avellaneda <leo@alaxarxa.net>  Fri, 20 Nov 2015 16:29:29 +0000

=== debian/control ===
Source: ros-common-msgs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python,
		libboost-dev
Standards-Version: 3.9.6
Section: libs
Homepage: https://github.com/ros/common_msgs
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-common-msgs.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-common-msgs.git

Package: libactionlib-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, python, libstd-msgs-dev
Description: Messages relating to the Robot OS actionlib, C/C++ interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 http://wiki.ros.org/actionlib package. 
 .
 This package contains the generated headers files.

Package: python-actionlib-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS actionlib, Python interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 http://wiki.ros.org/actionlib package. 
 .
 This package contains the generated Python package.

Package: cl-actionlib-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS actionlib, LISP interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 http://wiki.ros.org/actionlib package. 
 .
 This package contains the generated LISP library.

Package: libdiagnostic-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS diagnostic, C/C++ interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the http://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated C/C++ header files.

Package: python-diagnostic-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS diagnostic, Python interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the <http://wiki.ros.org/diagnostics> stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated Python package.

Package: cl-diagnostic-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS diagnostic, LISP interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the <http://wiki.ros.org/diagnostics> stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated LISP library.

Package: libgeometry-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS geometry, C/C++ interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system. 
 .
 This package contains the generated headers files.

Package: python-geometry-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS geometry, Python interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system. 
 .
 This package contains the generated Python package.

Package: cl-geometry-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS geometry, LISP interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system. 
 .
 This package contains the generated LISP library.

Package: libnav-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libgeometry-msgs-dev, libactionlib-msgs-dev
Description: Messages relating to Robot OS nav, C/C++ interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' http://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated headers files.

Package: python-nav-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, libgeometry-msgs-dev, python-actionlib-msgs
Description: Messages relating to Robot OS nav, Python interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' http://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated Python package.

Package: cl-nav-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
Description: Messages relating to Robot OS nav, LISP interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' http://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated LISP library.

Package: libsensor-msgs-dev
Section: libdevel
Architecture: all
Depends: libboost-dev, libgeometry-msgs-dev, ${misc:Depends}
Description: Messages relating to Robot OS sensor, C/C++ interface
 This package is part of Robot OS (ROS). 
 This package defines messages for commonly used sensors, including
 cameras and scanning laser rangefinders.
 .
 This package contains the generated headers files.

Package: python-sensor-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs
Description: Messages relating to Robot OS sensor, Python interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated Python package.

Package: cl-sensor-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs
Description: Messages relating to Robot OS sensor, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated LISP library.

Package: libshape-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libgeometry-msgs-dev
Description: Messages relating to Robot OS shape, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages for
 commonly used sensors, including cameras and scanning laser
 rangefinders.
 .
 This package contains the generated headers files.

Package: python-shape-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs
Description: Messages relating to Robot OS shape, Python interface
 This package is part of Robot OS (ROS), and provides messages for
 defining shapes, such as simple solid object primitives (cube,
 sphere, etc), planes, and meshes. 
 .
 This package contains the generated Python package.

Package: cl-shape-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs
Description: Messages relating to Robot OS shape, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 defining shapes, such as simple solid object primitives (cube,
 sphere, etc), planes, and meshes. 
 .
 This package contains the generated LISP library.

Package: libstereo-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libsensor-msgs-dev
Description: Messages relating to Robot OS stereo, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages
 specific to stereo processing, such as disparity images. 
 .
 This package contains the generated headers files.

Package: python-stereo-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs
Description: Messages relating to Robot OS stereo, Python interface
 This package is part of Robot OS (ROS), and provides messages
 specific to stereo processing, such as disparity images. 
 .
 This package contains the generated Python package.

Package: cl-stereo-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-sensor-msgs
Description: Messages relating to Robot OS stereo, LISP interface
 This package is part of Robot OS (ROS), and provides messages
 specific to stereo processing, such as disparity images. 
 .
 This package contains the generated LISP library.

Package: libtrajectory-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libgeometry-msgs-dev
Description: Messages relating to Robot OS trajectory, C/C++ interface
 This package is part of Robot OS (ROS), and provides messages for
 defining robot trajectories. These messages are also the building
 blocks of most of the http://wiki.ros.org/control_msgs
 .
 This package contains the generated headers files.

Package: python-trajectory-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs
Description: Messages relating to Robot OS trajectory, Python interface
 This package is part of Robot OS (ROS), and provides messages for
 defining robot trajectories. These messages are also the building
 blocks of most of the http://wiki.ros.org/control_msgs
 .
 This package contains the generated Python package.

Package: cl-trajectory-msgs
Section: lisp
Architecture: all
Depends: ${misc:Depends}, cl-geometry-msgs
Description: Messages relating to Robot OS trajectory, LISP interface
 This package is part of Robot OS (ROS), and provides messages for
 defining robot trajectories. These messages are also the building
 blocks of most of the http://wiki.ros.org/control_msgs
 .
 This package contains the generated LISP library.

Package: libvisualization-msgs-dev
Section: libdevel
Architecture: all
Depends: ${misc:Depends}, libgeometry-msgs-dev
Description: Messages relating to Robot OS visualization, C/C++ interface
 This package is part of Robot OS (ROS), and provides a set of
 messages used by higher level packages, such as rviz, that deal in

=== debian/watch ===
# Watch control file for uscan
# Compulsory line, this is a version 3 file
version=3
# For GitHub projects you can use the tags page:

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/common_msgs-$1\.tar\.gz/ \
  https://github.com/ros/common_msgs/releases .*/v?(\d\S*)\.tar\.gz

## ros-common-msgs 1.12.4

=== debian/changelog ===
ros-common-msgs (1.12.4-4) unstable; urgency=medium

  * Add missing build dependency (Closes: #8355737)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Aug 2016 14:29:11 +0200

ros-common-msgs (1.12.4-3) unstable; urgency=medium

  [ Jochen Sprickerhof ]
  * Bumped Standards-Version to 3.9.8, no changes needed.
  * Update Vcs URLs
  * Update my email address

  [ Daniele E. Domenichelli ]
  * Move message definitions in separate packages.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 20 Aug 2016 08:55:16 +0200

ros-common-msgs (1.12.4-2) unstable; urgency=medium

  * Rebuild for updated ros-genlisp.

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 13 Jul 2016 07:19:45 +0200

ros-common-msgs (1.12.4-1) unstable; urgency=medium

  * Imported Upstream version 1.12.4
  * Remove boost dependency

 -- Jochen Sprickerhof <debian@jochen.sprickerhof.de>  Wed, 24 Feb 2016 14:08:37 +0100

## ros-common-msgs 1.12.5

=== actionlib_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(actionlib_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  GoalID.msg
  GoalStatus.msg
  GoalStatusArray.msg)
generate_messages(DEPENDENCIES std_msgs)

catkin_package(
  CATKIN_DEPENDS message_runtime std_msgs
  CFG_EXTRAS actionlib_msgs-extras.cmake)

# install the .action -> .msg generator
catkin_install_python(PROGRAMS scripts/genaction.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# install the legacy rosbuild cmake support
install(FILES cmake/actionbuild.cmake
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/cmake)

=== sensor_msgs/CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,6 @@
 project(sensor_msgs)
 
 find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)
-# We want boost/format.hpp, which isn't in its own component.
-find_package(Boost REQUIRED)
 
 # For point_cloud2.py
 catkin_python_setup()
@@ -13,6 +11,7 @@
 add_message_files(
   DIRECTORY msg
   FILES
+  BatteryState.msg
   CameraInfo.msg
   ChannelFloat32.msg
   CompressedImage.msg
@@ -48,8 +47,7 @@
 
 catkin_package(
   INCLUDE_DIRS include
-  CATKIN_DEPENDS geometry_msgs message_runtime std_msgs
-  DEPENDS Boost)
+  CATKIN_DEPENDS geometry_msgs message_runtime std_msgs)
 
 install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}

=== trajectory_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(trajectory_msgs)

find_package(catkin REQUIRED COMPONENTS message_generation std_msgs geometry_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  JointTrajectory.msg
  JointTrajectoryPoint.msg
  MultiDOFJointTrajectory.msg
  MultiDOFJointTrajectoryPoint.msg
  )

generate_messages(DEPENDENCIES std_msgs geometry_msgs)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs geometry_msgs)

install(DIRECTORY rules
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

=== visualization_msgs/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(visualization_msgs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation std_msgs)

add_message_files(
  DIRECTORY msg
  FILES
  ImageMarker.msg
  InteractiveMarker.msg
  InteractiveMarkerControl.msg
  InteractiveMarkerFeedback.msg
  InteractiveMarkerInit.msg
  InteractiveMarkerPose.msg
  InteractiveMarkerUpdate.msg
  MarkerArray.msg
  Marker.msg
  MenuEntry.msg
)

generate_messages(DEPENDENCIES geometry_msgs std_msgs)

catkin_package(CATKIN_DEPENDS geometry_msgs message_runtime std_msgs)

=== sensor_msgs/test/CMakeLists.txt ===
include_directories(${catkin_INCLUDE_DIRS})
catkin_add_gtest(sensor_msgs_test main.cpp)
catkin_add_gtest(sensor_msgs_test_image_encodings test_image_encodings.cpp)

=== debian/changelog ===
ros-common-msgs (1.12.5-3) unstable; urgency=medium

  * Update watch file
  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 10 Jul 2017 16:53:00 +0200

ros-common-msgs (1.12.5-2) unstable; urgency=medium

  * rebuild due to changes in ros-genpy

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 16 Nov 2016 22:00:13 +0100

ros-common-msgs (1.12.5-1) unstable; urgency=medium

  * New upstream version 1.12.5
  * Remove upstreamed patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Tue, 04 Oct 2016 15:24:54 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,27 @@
 Priority: optional
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,  
-           Jochen Sprickerhof <debian@jochen.sprickerhof.de>,
+           Jochen Sprickerhof <jspricke@debian.org>,
            Leopold Palomo-Avellaneda <leo@alaxarxa.net>
 Build-Depends: debhelper (>= 9), catkin (>= 0.6.16-4), libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
-		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python,
-		libboost-dev
-Standards-Version: 3.9.6
+		python-all (>= 2.6.6-3), python-setuptools (>= 0.6b3), dh-python, ros-std-msgs
+Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/ros/common_msgs
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/ros/ros-common-msgs.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/ros/ros-common-msgs.git
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-common-msgs.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-science/packages/ros/ros-common-msgs.git
+
+Package: ros-actionlib-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-std-msgs
+Description: Messages relating to Robot OS actionlib, definitions
+ This package is part of Robot OS (ROS), and contains the common
+ messages to interact with an action server and an action client.  For
+ full documentation of the actionlib API see the
+ http://wiki.ros.org/actionlib package.
+ .
+ This package contains the message definitions.
 
 Package: libactionlib-msgs-dev
 Section: libdevel
@@ -48,6 +59,20 @@
  http://wiki.ros.org/actionlib package. 
  .
  This package contains the generated LISP library.
+
+Package: ros-diagnostic-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-std-msgs
+Description: Messages relating to Robot OS diagnostic, definitions
+ This package is part of Robot OS (ROS), and contains the messages
+ which provide the standardized interface for the diagnostic and
+ runtime monitoring systems in ROS. These messages are currently used
+ by the http://wiki.ros.org/diagnostics stack, which provides
+ libraries for simple ways to set and access the messages, as well as
+ automated ways to process the diagnostic data.
+ .
+ This package contains the message definitions.
 
 Package: libdiagnostic-msgs-dev
 Section: libdevel
@@ -91,6 +116,18 @@
  .
  This package contains the generated LISP library.
 
+Package: ros-geometry-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-std-msgs
+Description: Messages relating to Robot OS geometry, definitions
+ This package is part of Robot OS (ROS), and provides the messages for
+ common geometric primitives such as points, vectors, and poses. These
+ primitives are designed to provide a common data type and facilitate
+ interoperability throughout the system.
+ .
+ This package contains the message definitions.
+
 Package: libgeometry-msgs-dev
 Section: libdevel
 Architecture: all
@@ -127,6 +164,17 @@
  .
  This package contains the generated LISP library.
 
+Package: ros-nav-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
+Description: Messages relating to Robot OS nav, definitions
+ This package is part of Robot OS (ROS), and provides the common
+ messages used to interact with the 'nav' http://wiki.ros.org/navigation
+ stack.
+ .
+ This package contains the message definitions.
+
 Package: libnav-msgs-dev
 Section: libdevel
 Architecture: all
@@ -160,10 +208,21 @@
  .
  This package contains the generated LISP library.
 
+Package: ros-sensor-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-geometry-msgs
+Description: Messages relating to Robot OS sensor, definitions
+ This package is part of Robot OS (ROS).
+ This package defines messages for commonly used sensors, including
+ cameras and scanning laser rangefinders.
+ .
+ This package contains the message definitions.
+
 Package: libsensor-msgs-dev
 Section: libdevel
 Architecture: all
-Depends: libboost-dev, libgeometry-msgs-dev, ${misc:Depends}
+Depends: libgeometry-msgs-dev, ${misc:Depends}
 Description: Messages relating to Robot OS sensor, C/C++ interface
  This package is part of Robot OS (ROS). 
  This package defines messages for commonly used sensors, including
@@ -193,6 +252,17 @@
  .
  This package contains the generated LISP library.
 
+Package: ros-shape-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-geometry-msgs
+Description: Messages relating to Robot OS shape, definitions
+ This package is part of Robot OS (ROS), and provides messages for
+ commonly used sensors, including cameras and scanning laser
+ rangefinders.
+ .
+ This package contains the message definitions.
+
 Package: libshape-msgs-dev
 Section: libdevel
 Architecture: all
@@ -226,73 +296,8 @@
  .
  This package contains the generated LISP library.
 
-Package: libstereo-msgs-dev
-Section: libdevel
-Architecture: all
-Depends: ${misc:Depends}, libsensor-msgs-dev
-Description: Messages relating to Robot OS stereo, C/C++ interface
- This package is part of Robot OS (ROS), and provides messages
- specific to stereo processing, such as disparity images. 
- .
- This package contains the generated headers files.
-
-Package: python-stereo-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-sensor-msgs
-Description: Messages relating to Robot OS stereo, Python interface
- This package is part of Robot OS (ROS), and provides messages
- specific to stereo processing, such as disparity images. 
- .
- This package contains the generated Python package.
-
-Package: cl-stereo-msgs
-Section: lisp
-Architecture: all
-Depends: ${misc:Depends}, cl-sensor-msgs
-Description: Messages relating to Robot OS stereo, LISP interface
- This package is part of Robot OS (ROS), and provides messages
- specific to stereo processing, such as disparity images. 
- .
- This package contains the generated LISP library.
-
-Package: libtrajectory-msgs-dev
-Section: libdevel
-Architecture: all
-Depends: ${misc:Depends}, libgeometry-msgs-dev
-Description: Messages relating to Robot OS trajectory, C/C++ interface
- This package is part of Robot OS (ROS), and provides messages for
- defining robot trajectories. These messages are also the building
- blocks of most of the http://wiki.ros.org/control_msgs
- .
- This package contains the generated headers files.
-
-Package: python-trajectory-msgs
-Section: python
-Architecture: all
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-geometry-msgs
-Description: Messages relating to Robot OS trajectory, Python interface
- This package is part of Robot OS (ROS), and provides messages for
- defining robot trajectories. These messages are also the building
- blocks of most of the http://wiki.ros.org/control_msgs
- .
- This package contains the generated Python package.
-
-Package: cl-trajectory-msgs
-Section: lisp
-Architecture: all
-Depends: ${misc:Depends}, cl-geometry-msgs
-Description: Messages relating to Robot OS trajectory, LISP interface
- This package is part of Robot OS (ROS), and provides messages for
- defining robot trajectories. These messages are also the building
- blocks of most of the http://wiki.ros.org/control_msgs
- .
- This package contains the generated LISP library.
-
-Package: libvisualization-msgs-dev
-Section: libdevel
-Architecture: all
-Depends: ${misc:Depends}, libgeometry-msgs-dev
-Description: Messages relating to Robot OS visualization, C/C++ interface
- This package is part of Robot OS (ROS), and provides a set of
- messages used by higher level packages, such as rviz, that deal in
+Package: ros-stereo-msgs
+Section: devel
+Architecture: all
+Depends: ${misc:Depends}, ros-sensor-msgs
+Description: Messages relating to Robot OS stereo, definitions

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%ros-common-msgs-$1.tar.gz%" \
    https://github.com/ros/common_msgs/tags \
    (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## ros-common-msgs 1.12.6

=== sensor_msgs/test/CMakeLists.txt ===
include_directories(${catkin_INCLUDE_DIRS})
catkin_add_gtest(${PROJECT_NAME}_test main.cpp)
catkin_add_gtest(${PROJECT_NAME}_test_image_encodings test_image_encodings.cpp)

=== debian/changelog ===
ros-common-msgs (1.12.6-3) unstable; urgency=medium

  * Add Python 3 packages
  * Add MA hints

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 21 Jun 2018 23:10:40 +0200

ros-common-msgs (1.12.6-2) unstable; urgency=medium

  * Make lib*-msgs-dev arch:any due to arch:any dependency

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 17 Jun 2018 14:27:03 +0200

ros-common-msgs (1.12.6-1) unstable; urgency=medium

  * New upstream version 1.12.6
  * Add MA hints
  * Bump policy and debhelper versions

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 27 May 2018 13:18:47 +0200

ros-common-msgs (1.12.5-4) unstable; urgency=medium

  * Remove old catkin version
  * Update Vcs URLs to salsa.d.o
  * Add R³
  * http -> https
  * Rebuild with new gencpp

 -- Jochen Sprickerhof <jspricke@debian.org>  Mon, 02 Apr 2018 15:27:39 +0200

=== debian/control ===
Source: ros-common-msgs
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Thomas Moulard <thomas.moulard@gmail.com>,
           Jochen Sprickerhof <jspricke@debian.org>,
           Leopold Palomo-Avellaneda <leo@alaxarxa.net>
Build-Depends: debhelper (>= 11), catkin, libroscpp-core-dev, ros-message-generation, libstd-msgs-dev,
		python-all, python-setuptools, dh-python, ros-std-msgs, python3-all
Standards-Version: 4.1.4
Section: libs
Rules-Requires-Root: no
Homepage: https://wiki.ros.org/common_msgs
Vcs-Browser: https://salsa.debian.org/science-team/ros-common-msgs
Vcs-Git: https://salsa.debian.org/science-team/ros-common-msgs.git

Package: ros-actionlib-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to Robot OS actionlib, definitions
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the message definitions.

Package: libactionlib-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, python, libstd-msgs-dev
Description: Messages relating to the Robot OS actionlib, C/C++ interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated headers files.

Package: python-actionlib-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS actionlib, Python 2 interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated Python 2 package.

Package: python3-actionlib-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to Robot OS actionlib, Python 3 interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated Python 3 package.

Package: cl-actionlib-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS actionlib, LISP interface
 This package is part of Robot OS (ROS), and contains the common
 messages to interact with an action server and an action client.  For
 full documentation of the actionlib API see the
 https://wiki.ros.org/actionlib package.
 .
 This package contains the generated LISP library.

Package: ros-diagnostic-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to Robot OS diagnostic, definitions
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the message definitions.

Package: libdiagnostic-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS diagnostic, C/C++ interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated C/C++ header files.

Package: python-diagnostic-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS diagnostic, Python 2 interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated Python 2 package.

Package: python3-diagnostic-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to Robot OS diagnostic, Python 3 interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated Python 3 package.

Package: cl-diagnostic-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS diagnostic, LISP interface
 This package is part of Robot OS (ROS), and contains the messages
 which provide the standardized interface for the diagnostic and
 runtime monitoring systems in ROS. These messages are currently used
 by the https://wiki.ros.org/diagnostics stack, which provides
 libraries for simple ways to set and access the messages, as well as
 automated ways to process the diagnostic data.
 .
 This package contains the generated LISP library.

Package: ros-geometry-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-std-msgs
Description: Messages relating to Robot OS geometry, definitions
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the message definitions.

Package: libgeometry-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libstd-msgs-dev
Description: Messages relating to Robot OS geometry, C/C++ interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated headers files.

Package: python-geometry-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, python-std-msgs
Description: Messages relating to Robot OS geometry, Python 2 interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated Python 2 package.

Package: python3-geometry-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, python3-std-msgs
Description: Messages relating to Robot OS geometry, Python 3 interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated Python 3 package.

Package: cl-geometry-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-std-msgs
Description: Messages relating to Robot OS geometry, LISP interface
 This package is part of Robot OS (ROS), and provides the messages for
 common geometric primitives such as points, vectors, and poses. These
 primitives are designed to provide a common data type and facilitate
 interoperability throughout the system.
 .
 This package contains the generated LISP library.

Package: ros-nav-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-geometry-msgs, ros-actionlib-msgs
Description: Messages relating to Robot OS nav, definitions
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the message definitions.

Package: libnav-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, libgeometry-msgs-dev, libactionlib-msgs-dev
Description: Messages relating to Robot OS nav, C/C++ interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated headers files.

Package: python-nav-msgs
Section: python
Architecture: all
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, python-genpy, libgeometry-msgs-dev, python-actionlib-msgs
Description: Messages relating to Robot OS nav, Python 2 interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated Python 2 package.

Package: python3-nav-msgs
Section: python
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-genpy, libgeometry-msgs-dev, python3-actionlib-msgs
Description: Messages relating to Robot OS nav, Python 3 interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated Python 3 package.

Package: cl-nav-msgs
Section: lisp
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, cl-geometry-msgs, cl-actionlib-msgs
Description: Messages relating to Robot OS nav, LISP interface
 This package is part of Robot OS (ROS), and provides the common
 messages used to interact with the 'nav' https://wiki.ros.org/navigation
 stack.
 .
 This package contains the generated LISP library.

Package: ros-sensor-msgs
Section: devel
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ros-geometry-msgs
Description: Messages relating to Robot OS sensor, definitions
 This package is part of Robot OS (ROS).
 This package defines messages for commonly used sensors, including
 cameras and scanning laser rangefinders.
 .
 This package contains the message definitions.

Package: libsensor-msgs-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgeometry-msgs-dev, ${misc:Depends}
Description: Messages relating to Robot OS sensor, C/C++ interface
 This package is part of Robot OS (ROS).
 This package defines messages for commonly used sensors, including
 cameras and scanning laser rangefinders.
 .
 This package contains the generated headers files.

Package: python-sensor-msgs
Section: python
Architecture: all
